<form class="uk-form-stacked section" [formGroup]="reserveGroup">
    <div class="section">
        <label class="uk-form-label">Price per night</label>
        <div class="uk-form-controls-text" data-test="price">{{ homeInfo.price | currency }}</div>
    </div>
    <div class="section">
        <div>
            <div class="uk-form-label">Check-in date</div>
            <div class="uk-form-controls uk-form-controls">
                <input data-test="check-in" formControlName="checkIn" class="uk-input" type="date" name="check-in">
            </div>
        </div>
        <div>
            <div class="uk-form-label">Check-out date</div>
            <div class="uk-form-controls uk-form-controls">
                <input data-test="check-out" formControlName="checkOut" class="uk-input" type="date" name="check-out">
            </div>
        </div>
    </div>
    <label class="uk-form-label">Total (for {{ nights > 0 ? nights: '-' }}  nights)</label>
    <div class="uk-form-controls-text" data-test="total">{{ total  | currency }}</div>
</form>
<div class="buttons">
    <button class="uk-button uk-button-default left" data-test="cancel" [disabled]="booking" (click)="closeModal()">
        Cancel
    </button>
    <button class="uk-button uk-button-primary right" data-test="reserve" [disabled]="booking || nights <= 0 || reserveGroup.invalid"
            (click)="reserveHome()" >
        <div *ngIf="booking" uk-spinner></div> 
        Reserve
    </button>
</div>